### Method

# Gimp Layer resize

#### Declaration [src]

    gboolean
    gimp_layer_resize (
      GimpLayer* layer,
      gint new_width,
      gint new_height,
      gint offx,
      gint offy
    )

#### Description [src]

Resize the layer to the specified extents.

This procedure resizes the layer so that its new width and height are equal to the supplied parameters. Offsets are also provided which describe the position of the previous layer’s content. This operation only works if the layer has been added to an image.

#### Parameters

`new_width` | `gint`
| New layer width.
`new_height` | `gint`
| New layer height.
`offx` | `gint`
| X offset between upper left corner of old and new layers: (old - new).
`offy` | `gint`
| Y offset between upper left corner of old and new layers: (old - new).

#### Return value

Returns: | `gboolean`
| TRUE on success.